import { createApp } from 'vue'
import '@/assets/css/style.css'
import App from './App.vue'
import router from "./router";
import vuetify from './plugins/vuetify'
import { createPinia } from 'pinia'

const pinia = createPinia();

// Google Login
const script = document.createElement('script');
script.src = 'https://accounts.google.com/gsi/client';
script.async = true;
script.defer = true;
document.head.appendChild(script);

// 加載完成後再掛載 Vue
script.onload = () => {
    createApp(App).use(router).use(vuetify).use(pinia).mount('#app')
};

